## org.apache.lucene.analysis.uima
Class UIMATypeAwareAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.uima.UIMATypeAwareAnalyzer

All Implemented Interfaces:
  Closeable

    public final class UIMATypeAwareAnalyzer

extends Analyzer

`Analyzer` which uses the `UIMATypeAwareAnnotationsTokenizer` for the tokenization phase

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer
`Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

Constructor Summary
`UIMATypeAwareAnalyzer(String descriptorPath, String tokenType, String featurePath, Map<String,Object> configurationParameters)`

Method Summary
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName, Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream, tokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIMATypeAwareAnalyzer

    public UIMATypeAwareAnalyzer(String descriptorPath,
                                 String tokenType,
                                 String featurePath,
                                 Map<String,Object> configurationParameters)

Method Detail

### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                              Reader reader)

  Specified by:
    `createComponents` in class `Analyzer`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.